Gradient Machines
=================

GradientMachine
---------------
..  doxygenclass:: paddle::GradientMachine
    :members:

GradientMachineMode
-------------------
..  doxygenclass:: paddle::IGradientMachineMode
    :members:

MultiGradientMachine
--------------------
..  doxygenclass:: paddle::MultiGradientMachine
    :members:

TrainerThread
`````````````
..  doxygenclass:: paddle::TrainerThread
    :members:

RecurrentGradientMachine
------------------------
..  doxygenclass:: paddle::RecurrentGradientMachine
    :members:
